package com.iamberry.wechat.service.relationship;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.iamberry.wechat.core.entity.relationship.WdRelation;
import com.iamberry.wechat.face.relationship.WdRelationService;
import com.iamberry.wechat.service.relationship.Dao.WdRelationDao;

/**
 * 微代理层级 service 实现类
 * 2016年7月4日
 * @author Administrator
 *
 */
@Service
public class WdRelationServiceImpl implements WdRelationService{
	@Autowired
	private WdRelationDao wdRelationDao;
	/**
	 * 添加一个微代理层级
	 * 2016年7月4日
	 * @param wdRelation
	 * @return
	 */
	public Integer insertWdRelation(WdRelation wdRelation){
		return wdRelationDao.insertWdRelation(wdRelation);
	}
	
	/**
	 * 根据用户openid 查找一个微代理层记录
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public WdRelation getWdRelationByOpenid(String openid){
		return wdRelationDao.getWdRelationByOpenid(openid);
	}
	
	/**
	 * 根据用户条件 查找微代理层记录list
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public List<WdRelation> getWdRelationByWd(WdRelation wdRelation){
		return wdRelationDao.getWdRelationByWd(wdRelation);
	}
}
